std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, false > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, false >:
[legend]

## Public Member Functions

| _Local_iterator_base (const __hash_code_base &__base, _Hash_node< _Value, false > *__p, std::size_t __bkt, std::size_t __bkt_count)
void | _M_incr ()

## Public Attributes

std::size_t | _M_bucket
std::size_t | _M_bucket_count
_Hash_node< _Value, false > * | _M_cur

## Protected Types

using | __hash_code_base = _Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, false >

## Private Types

typedef void * | __hash_code
typedef _Hash_node< _Value, false > | __node_type

## Private Member Functions

std::size_t | _M_bucket_index (const _Key &__k, __hash_code, std::size_t __n) const
std::size_t | _M_bucket_index (const __node_type *__p, std::size_t __n) const
void | _M_copy_code (__node_type *, const __node_type *) const
const _ExtractKey & | _M_extract () const
_ExtractKey & | _M_extract ()
__hash_code | _M_hash_code (const _Key &__key) const
const _Hash & | _M_ranged_hash () const
_Hash & | _M_ranged_hash ()
void | _M_store_code (__node_type *, __hash_code) const
void | _M_swap (_Hash_code_base &__x)

## Detailed Description

### template<typename _Key, typename _Value, typename _ExtractKey, typename _H1, typename _H2, typename _Hash>
struct std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, false >

Specialization.

Definition at line 1223 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h